REM https://sourceforge.net/projects/qwt/files/qwt/6.1.3/qwt-6.1.3.tar.bz2

set P=qwt
set V=6.1.3
set B=2

if "%OSGEO4W_REP%"=="" (
        echo no repository
        exit 1
)

set ARCH=%1

if "%ARCH%"=="x86" (
        set OSGEO4W_ROOT=C:\OSGeo4W
        set VCARCH=x86
) else if "%ARCH%"=="x86_64" (
        set OSGEO4W_ROOT=C:\OSGeo4W64
        set VCARCH=amd64
) else (
        echo invalid arch
        exit
)

set R=%OSGEO4W_REP%\%ARCH%\release\qt5\%P%
for %%i in (doc libs devel) do (
        if not exist %R%\%P%-%%i-qt5 mkdir %R%\%P%-%%i-qt5
        copy %%i.hint %R%\%P%-%%i-qt5\setup.hint
        copy ..\COPYING %R%\%P%-%%i-qt5\%P%-%%i-qt5-%V%-%B%.txt
)

call "%OSGEO4W_ROOT%\bin\o4w_env.bat"
call "%OSGEO4W_ROOT%\bin\qt5_env.bat"
call "C:\Program Files (x86)\Microsoft Visual Studio 14.0\VC\vcvarsall.bat" %VCARCH%
path %PATH%;C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE
path %PATH%;c:\cygwin\bin
echo on

copy qwtconfig.pri ..
copy qwtbuild.pri ..
cd ..

if exist Makefile jom distclean
if errorlevel 1 (echo distclean & goto error)

qmake qwt.pro
if errorlevel 1 (echo qmake error & goto error)

jom clean
if errorlevel 1 (echo clean error & goto error)

jom
if errorlevel 1 (echo make error & goto error)

jom install
if errorlevel 1 (echo install error & goto error)

cd osgeo4w

if not exist install\apps\Qt5\bin mkdir install\apps\Qt5\bin
move install\apps\Qt5\lib\qwt*.dll install\apps\Qt5\bin
if not exist install\apps\Qt5\plugins\designer mkdir install\apps\Qt5\plugins\designer
move %OSGEO4W_ROOT%\apps\Qt5\plugins\designer\qwt_designer_plugin.dll install\apps\Qt5\plugins\designer

tar --remove-files -C install -cjvf %R:c:=/c%\%P%-doc-qt5\%P%-doc-qt5-%V%-%B%.tar.bz2 apps/qwt6/doc
if errorlevel 1 (echo tar doc & goto error)

tar -C .. -cvjf %R:c:=/c%\%P%-libs-qt5\%P%-libs-qt5-%V%-%B%-src.tar.bz2 ^
	osgeo4w/devel.hint ^
	osgeo4w/doc.hint ^
	osgeo4w/libs.hint ^
	osgeo4w/package.cmd ^
	osgeo4w/qwtbuild.pri ^
	osgeo4w/qwtconfig.pri
if errorlevel 1 (echo tar libs src & goto error)

tar --remove-files -C install -cjvf %R:c:=/c%\%P%-libs-qt5\%P%-libs-qt5-%V%-%B%.tar.bz2 ^
	apps/Qt5/bin/qwt.dll
if errorlevel 1 (echo tar libs & goto error)

tar --remove-files -C install -cjvf %R:c:=/c%\%P%-devel-qt5\%P%-devel-qt5-%V%-%B%.tar.bz2 ^
	apps/Qt5/include/qwt6 ^
	apps/Qt5/lib/qwt.lib ^
	apps/Qt5/plugins/designer/qwt_designer_plugin.dll
if errorlevel 1 (echo tar devel & goto error)

exit

:error
exit /b 1
